<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                template="/WEB-INF/templates/LoggedTemplate.xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:f="http://java.sun.com/jsf/core">


    <ui:define name="contentPart">
        
         <h:outputText 
          value="Nómina -> Reportes -> Time Block" 
                style="font-weight: bold"/>

            <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>            
 <h:outputText value="Generación de reporte time block" />
           <br/><br/>
           <div id="buscar" align="left" style="margin-top: 20px;">

            <h:form>
                <h:panelGrid columns="5" columnClasses="centered5,centered6,centered5,centered6,centered5" cellpadding="5">
                    <p:column>
                        <p:outputLabel value="Fecha Inicio: *" style="font-weight: bold" />
                    </p:column>
                    <p:column>
                <p:calendar id="tbVigIni" 
                            readonlyInput="true"
                            locale="es" 
                            navigator="true" 
                            pattern="dd/MM/yy"
                            showOn="button" 
                            value="#{rhNomnTimeBlockMB.fi}">
                    <p:ajax event="dateSelect" process="@this" />
                </p:calendar>
                    </p:column>
                    <p:column>
                        <p:outputLabel value="Fecha Fin: " style="font-weight: bold"/>
                          </p:column>
                    <p:column>
                <p:calendar id="tbVigFin" 
                            widgetVar="fechFin"
                            readonlyInput="true"
                            locale="es" 
                            navigator="true" 
                            pattern="dd/MM/yy"
                            showOn="button"
                            immediate="true"
                            value="#{rhNomnTimeBlockMB.ff}"
                            
                            >
                    <p:ajax event="dateSelect" process="@this" />
                </p:calendar>
                          </p:column>
                    <p:column>
                
                <p:commandButton 
                                id="btnInactivar"  
                                value="Descarga xls" 
                                actionListener="#{rhNomnTimeBlockMB.obtTimeBlock}" 
                                immediate="true"  
                                process="@this"                               
                                
                                update="@(form)  idTblTimeBlock">


                </p:commandButton>
                  </p:column>
                </h:panelGrid>
                        
                <h:commandLink  id="excel" style="text-align: right;visibility: hidden " title="Descarga de registros en archivo Excel">
                                <p:graphicImage library="img"  value="../../../../resources/images/excel.png" />
                                <p:dataExporter type="xls" target="idTblTimeBlock" fileName="timeBlock"
                                                 />
                            </h:commandLink>
                 <p:dataTable  
                     rendered="#{rhNomnTimeBlockMB.show}" 
                     id="idTblTimeBlock" 
                    var="var" 
                    paginator="true" 
                    onExpandStart="inicio()" 
                    style="visibility: hidden"
                    value  = "#{rhNomnTimeBlockMB.lstTimeBlock}"
                    paginatorTemplate="{CurrentPageReport} {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink}
                    {PageLinks} {NextPageLink} {LastPageLink}"
                    scrollable="true" scrollWidth="200%"
                    currentPageReportTemplate="#{msg['inai.medios.common.registroText']} 
                    {startRecord}-{endRecord}  #{msg['inai.medios.common.deText']} 
                    {totalRecords}             #{msg['inai.medios.common.disponiblesText']}"
                    paginatorPosition="bottom" rows="20"
                    emptyMessage="#{msg['inai.medios.common.noRecordsText']}"
                    >               
              

                    <f:facet name="header">
                            <h:outputText styleClass="header-table" value="Registros Encontrados" />

                          
                    </f:facet>
                     
                     
                     <p:column 
                         filterBy="#{var.intNumEmp}"                   
                        filterMatchMode="contains"

                        headerText="Núm Emp" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.intNumEmp}" />
                    </p:column>
                     
                    <p:column 
                        filterBy="#{var.strNombres}"                   
                        filterMatchMode="contains"

                        headerText="Nombre" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strNombres}" />
                    </p:column>
                     
                     <p:column 
                         filterBy="#{var.strApPat}"                   
                        filterMatchMode="contains"

                        headerText="Apellido Paterno" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strApPat}" />
                    </p:column>
                     
                     <p:column 
                         filterBy="#{var.strApMat}"                   
                        filterMatchMode="contains"

                        headerText="Apellido Materno" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strApMat}" />
                    </p:column>
                     
                     <p:column 
                         filterBy="#{var.strTels}"                   
                        filterMatchMode="contains"

                        headerText="Teléfono" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strTels}" />
                    </p:column>
                     
                     <p:column 
                         filterBy="#{var.strRFC}"                   
                        filterMatchMode="contains"

                        headerText="RFC" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strRFC}" />
                    </p:column>
                     
                     
                    <p:column 
                        filterBy="#{var.strFechaNac}"                   
                        filterMatchMode="contains"

                        headerText="Fecha Nacimiento" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strFechaNac}" />
                    </p:column>
                     
                      <p:column 
                         filterBy="#{var.strFechaIngr}"                   
                        filterMatchMode="contains"

                        headerText="Fecha Ingreso" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strFechaIngr}" />
                    </p:column>
                     
                     <p:column 
                         filterBy="#{var.intEstaEmp}"                   
                        filterMatchMode="contains"

                        headerText="Estatus Empleado" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.intEstaEmp}" />
                    </p:column>
                    
                     
                     
                    <p:column 
                         filterBy="#{var.strCalle}"                   
                        filterMatchMode="contains"

                        headerText="Calle" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strCalle}" />
                    </p:column>
                     
                    <p:column 
                        filterBy="#{var.strNumExt}"                   
                        filterMatchMode="contains"

                        headerText="Núm. Ext." style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strNumExt}" />
                    </p:column>
                     
                    <p:column 
                        filterBy="#{var.strNumInt}"                   
                        filterMatchMode="contains"

                        headerText="Núm. Int." style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strNumInt}" />
                    </p:column>
                
                     
                    <p:column 
                        filterBy="#{var.strCol}"                   
                        filterMatchMode="contains"

                        headerText="Colonia" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strCol}" />
                    </p:column>
                     
                      <p:column 
                         filterBy="#{var.intIdMpio}"                   
                        filterMatchMode="contains"

                        headerText="Id Mpio." style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.intIdMpio}" />
                    </p:column>
                     
                     
                     <p:column 
                         filterBy="#{var.intCP}"                   
                        filterMatchMode="contains"

                        headerText="Código Postal" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.intCP}" />
                    </p:column>
                     
                     <p:column 
                         filterBy="#{var.intCveEntd}"                   
                        filterMatchMode="contains"

                        headerText="Cve. Ent. Fed." style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.intCveEntd}" />
                    </p:column>
                     
                     
                    <p:column 
                        filterBy="#{var.strCurp}"                   
                        filterMatchMode="contains"

                        headerText="Curp" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strCurp}" />
                    </p:column>
                     
                    <p:column 
                        filterBy="#{var.strNSS}"                   
                        filterMatchMode="contains"

                        headerText="NSS" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strNSS}" />
                    </p:column>
                     
                    <p:column 
                        filterBy="#{var.strIdPsto}"                   
                        filterMatchMode="contains"

                        headerText="ID Puesto" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strIdPsto}" />
                    </p:column>
                    <p:column 
                        filterBy="#{var.strCvePstoMig}"                   
                        filterMatchMode="contains"

                        headerText="ID Puesto Mig." style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strCvePstoMig}" />
                    </p:column>
                     
                     
                    <p:column 
                        filterBy="#{var.intIdGpoJer}"                   
                        filterMatchMode="contains"

                        headerText="ID Área" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.intIdGpoJer}" />
                    </p:column>
                     
                    <p:column 
                        filterBy="#{var.strFechaTramFin}"                   
                        filterMatchMode="contains"

                        headerText="Fecha Fin" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strFechaTramFin}" />
                    </p:column>
                     
                     
                     <p:column 
                         filterBy="#{var.strDecPsto}"                   
                        filterMatchMode="contains"

                        headerText="Puesto" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strDecPsto}" />
                    </p:column>
                     
                     
                     <p:column 
                         filterBy="#{var.strDescGpoJer}"                   
                        filterMatchMode="contains"

                        headerText="Desc Área" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strDescGpoJer}" />
                    </p:column>
                     
                     <p:column 
                         filterBy="#{var.intEdoCvil}"                   
                        filterMatchMode="contains"

                        headerText="Edo. Civil" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.intEdoCvil}" />
                    </p:column>
                     
                     <p:column 
                         filterBy="#{var.intIdGnro}"                   
                        filterMatchMode="contains"

                        headerText="Sexo" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.intIdGnro}" />
                    </p:column>
                     <p:column 
                         filterBy="#{var.strCveUniAdm}"                   
                        filterMatchMode="contains"

                        headerText="Unidad Administrativa" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strCveUniAdm}" />
                    </p:column>
                     <p:column 
                         filterBy="#{var.intIdMov}"                   
                        filterMatchMode="contains"

                        headerText="ID Movimiento" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.intIdMov}" />
                    </p:column>
                     <p:column 
                         filterBy="#{var.strMovimnto}"                   
                        filterMatchMode="contains"

                        headerText="Movimiento" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strMovimnto}" />
                    </p:column>
                     
                     
                     
                </p:dataTable>
                
            </h:form>
        </div>           
    </ui:define>


</ui:composition>